package com.evobms.project.Battery.mapper;

import java.util.List;
import com.evobms.project.Battery.domain.ChargeDischargeSummary;

public interface ChargeDischargeSummaryMapper {
    ChargeDischargeSummary selectChargeDischargeSummaryById(Long id);
    List<ChargeDischargeSummary> selectChargeDischargeSummaryList(ChargeDischargeSummary summary);
    int insertChargeDischargeSummary(ChargeDischargeSummary summary);
    int updateChargeDischargeSummary(ChargeDischargeSummary summary);
    int deleteChargeDischargeSummaryById(Long id);
    int deleteChargeDischargeSummaryByIds(Long[] ids);
}